org.apache.log4j.rolling

## Class CompositeTriggeringPolicyTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.apache.log4j.rolling.CompositeTriggeringPolicyTest

- All Implemented Interfaces:
    junit.framework.Test

      public class CompositeTriggeringPolicyTest
      extends junit.framework.TestCase

  Test CompositeTriggeringPolicy

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompositeTriggeringPolicyTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `setUp()`
    `protected void` | `tearDown()`
    `void` | `testActivateOptionsCalledByCompositeActivateOptions()`
    `void` | `testActivateOptionsNotCalledByAddTriggeringPolicy()`
    `void` | `testAllFalsePolicies()`
    `void` | `testAllTruePolicies()`
    `void` | `testNoPolicies()`
    `void` | `testOneFalsePolicy()`
    `void` | `testOneTruePolicy()`
    `void` | `testTrueAndFalsePolicies()`

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CompositeTriggeringPolicyTest

          public CompositeTriggeringPolicyTest()

  - ### Method Detail

    - #### setUp

          protected void setUp()
                        throws Exception

      Overrides:
        `setUp` in class `junit.framework.TestCase`
      Throws:
        `Exception`

    - #### tearDown

          protected void tearDown()
                           throws Exception

      Overrides:
        `tearDown` in class `junit.framework.TestCase`
      Throws:
        `Exception`

    - #### testNoPolicies

          public void testNoPolicies()

    - #### testOneTruePolicy

          public void testOneTruePolicy()

    - #### testOneFalsePolicy

          public void testOneFalsePolicy()

    - #### testAllFalsePolicies

          public void testAllFalsePolicies()

    - #### testAllTruePolicies

          public void testAllTruePolicies()

    - #### testTrueAndFalsePolicies

          public void testTrueAndFalsePolicies()

    - #### testActivateOptionsCalledByCompositeActivateOptions

          public void testActivateOptionsCalledByCompositeActivateOptions()

    - #### testActivateOptionsNotCalledByAddTriggeringPolicy

          public void testActivateOptionsNotCalledByAddTriggeringPolicy()

Copyright © 2013 The Apache Software Foundation. Licensed under the Apache License, Version 2.0

Apache Extras for Apache log4j, Apache log4j and Apache are trademarks of the Apache Software Foundation.